Outils pour utilisateurs

Outils du site


public:passage_de_java_6_a_java_7

Ceci est une ancienne révision du document !


MD: En cours, j'ai juste jeter les premiers idées
  • Etat des versions
    • La version actuelle de Java proposé en téléchargement est 8 (plutôt récent : 2014-03-18)
      • N'est pas maintenue pour Windows XP
    • La version 7 est là depuis le 2011-07-28 (+ de 3ans ! :-o )
    • La version 6 de Java ne sera bientôt plus maintenu (du pt de vue des failles de sécurité) ou l'est déjà : trouver une confirmation
  • Du point de vue de l'OS :
    • Windows : Avec l'update automatique Java, la version actuelle est : 10.8 (pour Windows > XP)
    • Linux : aucun problème, il faudra juste changer la dépendance Debian pour s'assurer que la version 7 soit installée
    • Mac : à confirmer, mais le support de Java7 commence à partir de la version 10.7_25
  • Il faudra recompiler cqplib

SJ : d'après ce lien : http://www.oracle.com/technetwork/java/archive-139210.html, Oracle semble produire encore des mises à jour pour les versions 5 et 6 mais uniquement pour les clients sous contrat ?

Tests de JVM sur Mac OS X 10.8.5 :

  • 2 JVM sont installées :
    • 1.6 Apple
    • 1.8 Orable
  • TXM 0.7.5 : → configurée pour utiliser une JVM de Java 6 de préférence
    • Sans jre : utilise Java 6 Apple
    • jre openjdk : idem
    • jre oracle : idem
  • TXM 0.7.7 → configurée pour utiliser une JVM de Java 7 de préférence
    • Sans jre : après le démarrage et l'affichage de l'interface, TXM freeze
    • jre openjdk : idem
    • jre oracle : idem

Tests de JVM sur Mac OS X 10.6.8 :

Forcer l'utilisation d'une JVM 1.7 Oracle ou openjdk ne permet pas de lancer TXM. Si il n'y a pas de JRE, TXM ne démarre pas non plus (même si il va + loin dans l'initialisation, puisque c'est RCP qui lève l'erreur, qui est d'ailleurs logique car il s'attend à une JVM de Java 1.7 minimum)

public/passage_de_java_6_a_java_7.1416838198.txt.gz · Dernière modification: 2014/11/24 15:09 (modification externe)